Get user
The method allows you to get user data by his id or clientId
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
User data request body
idstringOptionalExample:
User ID in the system. Required, if 'clientId' was not provided
38ce356d-5f34-4b8b-9af2-e0ddc91ca288clientIdstringOptionalExample:
User ID in the merchant system. Required, if 'id' was not provided
user12345Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/personal-addresses/get-user
POST /api-gateway/personal-addresses/get-user HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 68
{
"id": "38ce356d-5f34-4b8b-9af2-e0ddc91ca288",
"clientId": "user12345"
}200Success
{
"success": true,
"response": {
"id": "38ce356d-5f34-4b8b-9af2-e0ddc91ca288",
"clientId": "user12345",
"clientEmail": "user@domain.com",
"clientName": "John Doe",
"depositWebhookUrl": "https://merchant.domain/webhooks/user12345",
"createdAt": "2026-01-29T11:14:13.714Z",
"updatedAt": "2026-01-29T11:14:13.714Z",
"addresses": {
"id": "5f376db8-db47-4b02-a10e-99fdb65cde7a",
"userId": "66b62d51-0676-4853-9d84-a5fd6323f915",
"currency": "USDT",
"network": "ethereum",
"address": "0x515b72ed8a97f42c568d6a143232775018f133c8",
"tag": null,
"balance": "1234.1234",
"isActive": true
}
}
}Last updated